Subject: Re: Caustics
From: [email-masked]
To: [email-masked] (Kier), [email-masked]
Date: Tue, 24 Oct 1995 08:28:13 PST

> I have a swimming pool object with a perturbed surface (geometric or 
> mapped) and the camera is under the surface. I am viewing the corner of 
> the pool's bottom and I want to create animated caustic reflections and 
> those characteristic light patterns you see on sea beds and swimming 
> pools floors... how do I do it?
> 
> What sort of surface attributes should the water have, how should I model 
> it, and do I need to set up special light attributes?
> 
> Anyone have any ideas?

Sounds like a job for the underwater texture. Use it as an image map and give 
it a velocity.

> 
> 				/|\
> 			      >(0-0)<
> /=*=*=*=*=*=*=*=*=*=*=*=*=*oOO--(^)--OOo*=*=*=*=*=*=*=*=*=*=*=*=///*\
> *      ~~~    KIER DARBY     [email-masked]        ///  *
> {>------------------------~~~~~~~~~---------------------------///--<}
> *    ~  National Centre for Computer Animation, UK  ~   \\\  ///    *
> {>-------------------------------------------------------\\XX//----<}
> *If I had wings, and I could fly, I'd look bloody silly, wouldn't I.*
> \=*=*=*=*=*=*=*=*=*=*=*=*==*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*/
> 
> --
> Kier <[email-masked]> sent this message.
> To Post a Message           : [email-masked]
> Un/Subscription Requests To : [email-masked]
> (DIGEST)                 or : [email-masked]
> Administrative Items To     : [email-masked]
> 
> 
 _____  Kevin Bagley  [email-masked] [email-masked] 206-355-7474 x8581
  )___)  _    _   _   http://www.isomedia.com/homes/kbagley
_/___)  (_(__(_)_/_)_           If I owned the internet...
______________/             I wouldn't let anyone else use it!
--
[email-masked] sent this message.
To Post a Message           : [email-masked]
Un/Subscription Requests To : [email-masked]
(DIGEST)                 or : [email-masked]
Administrative Items To     : [email-masked]